Subject: [PATCH 09/11] arm64: pmu: Add routines for detecting differing PMU types in the system

From: [email-masked] (Jeremy Linton)
Date: Fri, 1 Jul 2016 10:28:05 -0500

On 07/01/2016 08:58 AM, Punit Agrawal wrote:
(trimming)
>> +			if (!pmu) {
>> +				pr_warn("Unable to allocate pmu_types\n");
>
> Bail out with error if the memory can't be allocated. Otherwise, we risk
> silently failing to register a PMU type.

Reading this again, I think I misunderstood what you were saying.. Aka, 
this should be pr_error() not that the error handing is failing to catch 
the failure.

Anyway, I will promote this.